gdjs.Untitled_32scene4Code = {};
gdjs.Untitled_32scene4Code.localVariables = [];
gdjs.Untitled_32scene4Code.idToCallbackMap = new Map();
gdjs.Untitled_32scene4Code.GDPlatform1Objects1= [];
gdjs.Untitled_32scene4Code.GDPlatform1Objects2= [];
gdjs.Untitled_32scene4Code.GDBackgroundObjects1= [];
gdjs.Untitled_32scene4Code.GDBackgroundObjects2= [];
gdjs.Untitled_32scene4Code.GDOrangeButtonObjects1= [];
gdjs.Untitled_32scene4Code.GDOrangeButtonObjects2= [];
gdjs.Untitled_32scene4Code.GDScore2Objects1= [];
gdjs.Untitled_32scene4Code.GDScore2Objects2= [];
gdjs.Untitled_32scene4Code.GDFlyObjects1= [];
gdjs.Untitled_32scene4Code.GDFlyObjects2= [];
gdjs.Untitled_32scene4Code.GDSpawnObjects1= [];
gdjs.Untitled_32scene4Code.GDSpawnObjects2= [];
gdjs.Untitled_32scene4Code.GDMonsterObjects1= [];
gdjs.Untitled_32scene4Code.GDMonsterObjects2= [];
gdjs.Untitled_32scene4Code.GDSpawn2Objects1= [];
gdjs.Untitled_32scene4Code.GDSpawn2Objects2= [];
gdjs.Untitled_32scene4Code.GDEndObjects1= [];
gdjs.Untitled_32scene4Code.GDEndObjects2= [];
gdjs.Untitled_32scene4Code.GDPauseButtonObjects1= [];
gdjs.Untitled_32scene4Code.GDPauseButtonObjects2= [];
gdjs.Untitled_32scene4Code.GDButtonObjects1= [];
gdjs.Untitled_32scene4Code.GDButtonObjects2= [];
gdjs.Untitled_32scene4Code.GDNewSpriteObjects1= [];
gdjs.Untitled_32scene4Code.GDNewSpriteObjects2= [];


gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDFlyObjects1Objects = Hashtable.newFrom({"Fly": gdjs.Untitled_32scene4Code.GDFlyObjects1});
gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDMonsterObjects1Objects = Hashtable.newFrom({"Monster": gdjs.Untitled_32scene4Code.GDMonsterObjects1});
gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDNewSpriteObjects1Objects = Hashtable.newFrom({"NewSprite": gdjs.Untitled_32scene4Code.GDNewSpriteObjects1});
gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDFlyObjects1Objects = Hashtable.newFrom({"Fly": gdjs.Untitled_32scene4Code.GDFlyObjects1});
gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDNewSpriteObjects1Objects = Hashtable.newFrom({"NewSprite": gdjs.Untitled_32scene4Code.GDNewSpriteObjects1});
gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDMonsterObjects1Objects = Hashtable.newFrom({"Monster": gdjs.Untitled_32scene4Code.GDMonsterObjects1});
gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDEndObjects1Objects = Hashtable.newFrom({"End": gdjs.Untitled_32scene4Code.GDEndObjects1});
gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDNewSpriteObjects1Objects = Hashtable.newFrom({"NewSprite": gdjs.Untitled_32scene4Code.GDNewSpriteObjects1});
gdjs.Untitled_32scene4Code.eventsList0 = function(runtimeScene) {

{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("Background"), gdjs.Untitled_32scene4Code.GDBackgroundObjects1);
{gdjs.evtTools.camera.setCameraZoom(runtimeScene, 1.2, "", 0);
}
{gdjs.evtTools.camera.centerCamera(runtimeScene, (gdjs.Untitled_32scene4Code.GDBackgroundObjects1.length !== 0 ? gdjs.Untitled_32scene4Code.GDBackgroundObjects1[0] : null), true, "", 0);
}
elseEventsChainSatisfied = true;
}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {
{gdjs.evtTools.sound.playSound(runtimeScene, "04 - Castle Nosferatu (Sega-style FM Synth Remix).aac", true, 200, 0.9);
}
elseEventsChainSatisfied = true;
}

}


{



}


{

gdjs.copyArray(runtimeScene.getObjects("Button"), gdjs.Untitled_32scene4Code.GDButtonObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32scene4Code.GDButtonObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32scene4Code.GDButtonObjects1[i].getBehavior("ButtonFSM").IsPressed(null) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32scene4Code.GDButtonObjects1[k] = gdjs.Untitled_32scene4Code.GDButtonObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32scene4Code.GDButtonObjects1.length = k;
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Pause menu");
}
{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "Pause");
}
elseEventsChainSatisfied = true;
}

}


{



}


{

gdjs.copyArray(runtimeScene.getObjects("NewSprite"), gdjs.Untitled_32scene4Code.GDNewSpriteObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i].getBehavior("PlatformerObject").isOnFloor() ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[k] = gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length = k;
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32scene4Code.GDNewSpriteObjects1 */
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i].setX(gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i].getX() + (4));
}
}
elseEventsChainSatisfied = true;
}

}


{


let isConditionTrue_0 = false;
{
gdjs.copyArray(runtimeScene.getObjects("Fly"), gdjs.Untitled_32scene4Code.GDFlyObjects1);
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDFlyObjects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDFlyObjects1[i].setX(gdjs.Untitled_32scene4Code.GDFlyObjects1[i].getX() - (1.6));
}
}
elseEventsChainSatisfied = true;
}

}


{


let isConditionTrue_0 = false;
{
gdjs.copyArray(runtimeScene.getObjects("Platform1"), gdjs.Untitled_32scene4Code.GDPlatform1Objects1);
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDPlatform1Objects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDPlatform1Objects1[i].setX(gdjs.Untitled_32scene4Code.GDPlatform1Objects1[i].getX() - (4));
}
}
elseEventsChainSatisfied = true;
}

}


{

gdjs.copyArray(runtimeScene.getObjects("OrangeButton"), gdjs.Untitled_32scene4Code.GDOrangeButtonObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32scene4Code.GDOrangeButtonObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32scene4Code.GDOrangeButtonObjects1[i].IsClicked(null) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32scene4Code.GDOrangeButtonObjects1[k] = gdjs.Untitled_32scene4Code.GDOrangeButtonObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32scene4Code.GDOrangeButtonObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("NewSprite"), gdjs.Untitled_32scene4Code.GDNewSpriteObjects1);
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i].getBehavior("PlatformerObject").simulateJumpKey();
}
}
{gdjs.evtTools.sound.playSound(runtimeScene, "sfx_jump.ogg", false, 100, 1);
}
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i].getBehavior("PlatformerObject").setCanJump();
}
}
elseEventsChainSatisfied = true;
}

}


{



}


{

gdjs.copyArray(runtimeScene.getObjects("Platform1"), gdjs.Untitled_32scene4Code.GDPlatform1Objects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32scene4Code.GDPlatform1Objects1.length;i<l;++i) {
    if ( gdjs.Untitled_32scene4Code.GDPlatform1Objects1[i].getX() <= -(883) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32scene4Code.GDPlatform1Objects1[k] = gdjs.Untitled_32scene4Code.GDPlatform1Objects1[i];
        ++k;
    }
}
gdjs.Untitled_32scene4Code.GDPlatform1Objects1.length = k;
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32scene4Code.GDPlatform1Objects1 */
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDPlatform1Objects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDPlatform1Objects1[i].setX(1850);
}
}
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDPlatform1Objects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDPlatform1Objects1[i].getBehavior("Resizable").setWidth(gdjs.randomInRange(497, 600));
}
}
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDPlatform1Objects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDPlatform1Objects1[i].setY(gdjs.randomInRange(256, 416));
}
}
elseEventsChainSatisfied = true;
}

}


{



}


{

gdjs.copyArray(runtimeScene.getObjects("NewSprite"), gdjs.Untitled_32scene4Code.GDNewSpriteObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i].getBehavior("PlatformerObject").isMovingEvenALittle() ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[k] = gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length = k;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("Score2"), gdjs.Untitled_32scene4Code.GDScore2Objects1);
{runtimeScene.getGame().getVariables().getFromIndex(0).add(0.5);
}
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDScore2Objects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDScore2Objects1[i].getBehavior("Text").setText(runtimeScene.getGame().getVariables().getFromIndex(0).getAsString());
}
}
elseEventsChainSatisfied = true;
}

}


{



}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "Enemy Spawn");
}
elseEventsChainSatisfied = true;
}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.getTimerElapsedTimeInSecondsOrNaN(runtimeScene, "Enemy Spawn") > 4;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("Spawn"), gdjs.Untitled_32scene4Code.GDSpawnObjects1);
gdjs.Untitled_32scene4Code.GDFlyObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene(runtimeScene, gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDFlyObjects1Objects, (( gdjs.Untitled_32scene4Code.GDSpawnObjects1.length === 0 ) ? 0 :gdjs.Untitled_32scene4Code.GDSpawnObjects1[0].getPointX("")), (( gdjs.Untitled_32scene4Code.GDSpawnObjects1.length === 0 ) ? 0 :gdjs.Untitled_32scene4Code.GDSpawnObjects1[0].getPointY("")), "");
}
{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "Enemy Spawn");
}
elseEventsChainSatisfied = true;
}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "Enemy Spawn2");
}
elseEventsChainSatisfied = true;
}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.getTimerElapsedTimeInSecondsOrNaN(runtimeScene, "Enemy Spawn2") > 6;
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("Spawn2"), gdjs.Untitled_32scene4Code.GDSpawn2Objects1);
gdjs.Untitled_32scene4Code.GDMonsterObjects1.length = 0;

{gdjs.evtTools.object.createObjectOnScene(runtimeScene, gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDMonsterObjects1Objects, (( gdjs.Untitled_32scene4Code.GDSpawn2Objects1.length === 0 ) ? 0 :gdjs.Untitled_32scene4Code.GDSpawn2Objects1[0].getPointX("")), (( gdjs.Untitled_32scene4Code.GDSpawn2Objects1.length === 0 ) ? 0 :gdjs.Untitled_32scene4Code.GDSpawn2Objects1[0].getPointY("")), "");
}
{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "Enemy Spawn2");
}
elseEventsChainSatisfied = true;
}

}


{


let isConditionTrue_0 = false;
{
elseEventsChainSatisfied = true;
}

}


{

gdjs.copyArray(runtimeScene.getObjects("Fly"), gdjs.Untitled_32scene4Code.GDFlyObjects1);
gdjs.copyArray(runtimeScene.getObjects("NewSprite"), gdjs.Untitled_32scene4Code.GDNewSpriteObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDNewSpriteObjects1Objects, gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDFlyObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32scene4Code.GDNewSpriteObjects1 */
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i].deleteFromScene(runtimeScene);
}
}
{gdjs.evtTools.sound.playSound(runtimeScene, "Boss Death.aac", false, 70, 2);
}
{gdjs.evtTools.runtimeScene.replaceScene(runtimeScene, "Restart", true);
}
elseEventsChainSatisfied = true;
}

}


{

gdjs.copyArray(runtimeScene.getObjects("Monster"), gdjs.Untitled_32scene4Code.GDMonsterObjects1);
gdjs.copyArray(runtimeScene.getObjects("NewSprite"), gdjs.Untitled_32scene4Code.GDNewSpriteObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDNewSpriteObjects1Objects, gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDMonsterObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32scene4Code.GDNewSpriteObjects1 */
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i].deleteFromScene(runtimeScene);
}
}
{gdjs.evtTools.sound.playSound(runtimeScene, "Boss Death.aac", false, 70, 2);
}
{gdjs.evtTools.runtimeScene.replaceScene(runtimeScene, "Restart", true);
}
elseEventsChainSatisfied = true;
}

}


{



}


{

gdjs.copyArray(runtimeScene.getObjects("End"), gdjs.Untitled_32scene4Code.GDEndObjects1);
gdjs.copyArray(runtimeScene.getObjects("NewSprite"), gdjs.Untitled_32scene4Code.GDNewSpriteObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDEndObjects1Objects, gdjs.Untitled_32scene4Code.mapOfGDgdjs_9546Untitled_959532scene4Code_9546GDNewSpriteObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32scene4Code.GDNewSpriteObjects1 */
{for(var i = 0, len = gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length ;i < len;++i) {
    gdjs.Untitled_32scene4Code.GDNewSpriteObjects1[i].deleteFromScene(runtimeScene);
}
}
{gdjs.evtTools.sound.playSound(runtimeScene, "Boss Death.aac", false, 70, 2);
}
{gdjs.evtTools.runtimeScene.replaceScene(runtimeScene, "Restart", true);
}
elseEventsChainSatisfied = true;
}

}


};

gdjs.Untitled_32scene4Code.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.Untitled_32scene4Code.GDPlatform1Objects1.length = 0;
gdjs.Untitled_32scene4Code.GDPlatform1Objects2.length = 0;
gdjs.Untitled_32scene4Code.GDBackgroundObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDBackgroundObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDOrangeButtonObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDOrangeButtonObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDScore2Objects1.length = 0;
gdjs.Untitled_32scene4Code.GDScore2Objects2.length = 0;
gdjs.Untitled_32scene4Code.GDFlyObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDFlyObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDSpawnObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDSpawnObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDMonsterObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDMonsterObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDSpawn2Objects1.length = 0;
gdjs.Untitled_32scene4Code.GDSpawn2Objects2.length = 0;
gdjs.Untitled_32scene4Code.GDEndObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDEndObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDPauseButtonObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDPauseButtonObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDButtonObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDButtonObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDNewSpriteObjects2.length = 0;

gdjs.Untitled_32scene4Code.eventsList0(runtimeScene);
gdjs.Untitled_32scene4Code.GDPlatform1Objects1.length = 0;
gdjs.Untitled_32scene4Code.GDPlatform1Objects2.length = 0;
gdjs.Untitled_32scene4Code.GDBackgroundObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDBackgroundObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDOrangeButtonObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDOrangeButtonObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDScore2Objects1.length = 0;
gdjs.Untitled_32scene4Code.GDScore2Objects2.length = 0;
gdjs.Untitled_32scene4Code.GDFlyObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDFlyObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDSpawnObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDSpawnObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDMonsterObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDMonsterObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDSpawn2Objects1.length = 0;
gdjs.Untitled_32scene4Code.GDSpawn2Objects2.length = 0;
gdjs.Untitled_32scene4Code.GDEndObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDEndObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDPauseButtonObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDPauseButtonObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDButtonObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDButtonObjects2.length = 0;
gdjs.Untitled_32scene4Code.GDNewSpriteObjects1.length = 0;
gdjs.Untitled_32scene4Code.GDNewSpriteObjects2.length = 0;


return;

}

gdjs['Untitled_32scene4Code'] = gdjs.Untitled_32scene4Code;
